### Hierarchy

- DraggableDirective

## Index

### Inputs

- dragImage
- imageOffset

### Outputs

- end
- start

### Constructors

- constructor

### Properties

- dragImage
- draggable
- end
- imageOffset
- start

### Methods

- handleDragStart
- handleEnd

## Constructors

### constructor

- new DraggableDirective(): DraggableDirective

- #### Returns DraggableDirective

## Properties

### dragImage

@Input()
dragImage: Element

- Defined in packages/angular/src/toolkit/draggable/draggable.directive.ts:7

### draggable

@HostBinding({"hostPropertyName":"'attr.draggable'"})
draggable: boolean = true

- Defined in packages/angular/src/toolkit/draggable/draggable.directive.ts:15

### end

@Output()
end: EventEmitter<any> = ...

- Defined in packages/angular/src/toolkit/draggable/draggable.directive.ts:13

### imageOffset

@Input()
imageOffset: { x: number; y: number } = ...

- Defined in packages/angular/src/toolkit/draggable/draggable.directive.ts:9

#### Type declaration

- ##### x: number

- ##### y: number

### start

@Output()
start: EventEmitter<any> = ...

- Defined in packages/angular/src/toolkit/draggable/draggable.directive.ts:11

## Methods

### handleDragStart

@HostListener({"eventName":"'dragstart'","args":"['$event']"})

- handleDragStart(event: DragEvent): void

- - Defined in packages/angular/src/toolkit/draggable/draggable.directive.ts:18

  #### Parameters

  - ##### event: DragEvent

  #### Returns void

### handleEnd

@HostListener({"eventName":"'dragend'"})

- handleEnd(): void

- - Defined in packages/angular/src/toolkit/draggable/draggable.directive.ts:27

  #### Returns void

Generated using TypeDoc